%define majver %(echo %version | cut -d. -f1-2)
Name:          qt5-qtnetworkauth
Version:       5.15.7
Release:       1mamba
Summary:       Qt5 network authentication library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtnetworkauth-everywhere-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END

%description
Qt5 network authentication library.

%package -n libQt5NetworkAuth
Group:         System/Libraries
Summary:       Qt5 network library

%description -n libQt5NetworkAuth
Qt sets the standard for high-performance, cross-platform application development.
It includes a C++ class library and tools for cross-platform development and internationalization.
This package contains the network library.

%package -n libQt5NetworkAuth-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5NetworkAuth = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5NetworkAuth-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n qtnetworkauth-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5NetworkAuth -p /sbin/ldconfig
%postun -n libQt5NetworkAuth -p /sbin/ldconfig

%files -n libQt5NetworkAuth
%defattr(-,root,root)
%{_libdir}/libQt5NetworkAuth.so.*
%doc LICENSE.*

%files -n libQt5NetworkAuth-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtNetworkAuth
%dir %{_includedir}/qt5/QtNetworkAuth/%{version}
%dir %{_includedir}/qt5/QtNetworkAuth/%{version}/QtNetworkAuth
%{_includedir}/qt5/QtNetworkAuth/%{version}/QtNetworkAuth/private/*
%{_includedir}/qt5/QtNetworkAuth/*
%{_libdir}/libQt5NetworkAuth.prl
%{_libdir}/libQt5NetworkAuth.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_networkauth.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_networkauth_private.pri
%dir %{_libdir}/cmake/Qt5NetworkAuth
%{_libdir}/cmake/Qt5NetworkAuth/Qt5NetworkAuth*.cmake
%{_libdir}/pkgconfig/Qt5NetworkAuth.pc

%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Wed Feb 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-3mamba
- remove requirement for qt5-qtbase-common

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
